uk.ac.starlink.table.storage

## Class DiscardRowStore

- java.lang.Object
- - uk.ac.starlink.table.storage.DiscardRowStore

- All Implemented Interfaces:
    RowStore, TableSink

      public class DiscardRowStore
      extends java.lang.Object
      implements RowStore

  Minimal implementation of `RowStore` which throws away the row data it is given. The table returned by `getStarTable()` has the same metadata as the one passed in by the `acceptMetadata(uk.ac.starlink.table.StarTable)`, but no rows.
  Since:
    5 Aug 2004

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiscardRowStore()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `acceptMetadata(StarTable meta)` Takes delivery of a row-less `StarTable` object which defines the metadata of the table to be transmitted.
    `void` | `acceptRow(java.lang.Object[] row)` Takes delivery of one row of data.
    `void` | `endRows()` Signals that there are no more rows to be transmitted.
    `StarTable` | `getStarTable()` Obtains a StarTable which contains the data and metadata that have been written into this sink.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DiscardRowStore

          public DiscardRowStore()

  - ### Method Detail

    - #### acceptMetadata

          public void acceptMetadata(StarTable meta)

      Description copied from interface: `TableSink`
      Takes delivery of a row-less `StarTable` object which defines the metadata of the table to be transmitted. If the number of rows that will be transmitted via subsequent calls to `acceptRow` is known, this value should be made available as the row count of `meta` (`StarTable.getRowCount()`); if it is not known, the row count should be -1. However, this object should not attempt to read any of `meta`'s cell data.

      The data to be transmitted in subsequent calls of `acceptRow` must match the metadata transmitted in this call in the same way that rows of a StarTable must match its own metadata (number and content clases of columns etc). If this sink cannot dispose of a table corresponding to `meta` then it may throw a TableFormatException - this may be the case if for instance `meta` has columns with types that this sink can't deal with.

      Specified by:
        `acceptMetadata` in interface `TableSink`
      Parameters:
        `meta` - table metadata object

    - #### acceptRow

          public void acceptRow(java.lang.Object[] row)

      Description copied from interface: `TableSink`
      Takes delivery of one row of data. `row` is an array of objects comprising the contents of one row of the table being transmitted. The number and classes of the elements of `row` are described by the metadata object previously accepted.
      Specified by:
        `acceptRow` in interface `TableSink`
      Parameters:
        `row` - table data row

    - #### endRows

          public void endRows()

      Description copied from interface: `TableSink`
      Signals that there are no more rows to be transmitted.
      Specified by:
        `endRows` in interface `TableSink`

    - #### getStarTable

          public StarTable getStarTable()

      Description copied from interface: `RowStore`
      Obtains a StarTable which contains the data and metadata that have been written into this sink. In general it is only legal to call this method following a call to `TableSink.endRows()`; failing to observe this sequence may earn you an `IllegalStateException`
      Specified by:
        `getStarTable` in interface `RowStore`
      Returns:
        a random-access StarTable containing the written rows